Name:           jam-control
Version:        1.03
Release:        alt1_2
Summary:        GUI app to control audio servers 
Group:          Sound
License:        GPLv3+
URL:            https://gitorious.org/jam-control
Source0:        http://jvlomax.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-module-PyQt4
BuildRequires:  desktop-file-utils
Requires:       pulseaudio
Requires:       icon-theme-hicolor
Source44: import.info

 
%description
Jam  control is a GUI application to turn pulseaudio and the JACK audio
server on and off. 

%prep
%setup -q

%build

%install
install -d %{buildroot}%{_bindir}
install -p -m 755 %{name}.py %{buildroot}%{_bindir}/%{name}

mkdir -p  %{buildroot}%{_datadir}/%{name}
install -p -m 755 *.py* %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install            \
  --dir %{buildroot}%{_datadir}/applications \
 dist/%{name}.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
mv dist/application-default-icon.png \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/jam-control.py*
%{_datadir}/%{name}/jackController.py*
%{_datadir}/%{name}/jackDbusController.py*
%{_datadir}/%{name}/main_ui.py*
%{_datadir}/%{name}/pulseController.py*
%{_datadir}/%{name}/util.py*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/application-default-icon.png

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1_2
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1_1
- initial fc import

